summaryrefslogtreecommitdiffstats
path: root/perl/perl-MIME-tools/perl-MIME-tools.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia2011-06-01 05:55:23 +0200
committer Robby Workman2011-06-13 07:33:40 +0200
commitea882e5ccf671123932110ce2577b1e21d9561ce (patch)
tree39fcac9e38c1c2fdb348d905f25c1a49f3dcfe26 /perl/perl-MIME-tools/perl-MIME-tools.SlackBuild
parentd1c2c3fa6cbc78e35fde4759187030c08790f94b (diff)
downloadslackbuilds-ea882e5ccf671123932110ce2577b1e21d9561ce.tar.gz
perl/perl-MIME-tools: Updated for version 5.502.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl/perl-MIME-tools/perl-MIME-tools.SlackBuild')
-rw-r--r--perl/perl-MIME-tools/perl-MIME-tools.SlackBuild25
1 files changed, 15 insertions, 10 deletions
diff --git a/perl/perl-MIME-tools/perl-MIME-tools.SlackBuild b/perl/perl-MIME-tools/perl-MIME-tools.SlackBuild
index 88bd2bf2f6..4060646d93 100644
--- a/perl/perl-MIME-tools/perl-MIME-tools.SlackBuild
+++ b/perl/perl-MIME-tools/perl-MIME-tools.SlackBuild
@@ -6,13 +6,13 @@
# Copyright (c) 2009-2011, Nishant Limbachia, Hoffman Estates, IL, USA
# <nishant _AT_ mnspace _DOT_ net>
# All rights reserved.
-#
+
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-#
+
# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
-#
+
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -28,18 +28,16 @@
# Modified by the SlackBuilds.org project.
PRGNAM=perl-MIME-tools
-VERSION=${VERSION:-5.500}
+VERSION=${VERSION:-5.502}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
SRCNAM=MIME-tools
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -79,23 +77,30 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+
CFLAGS="$SLKCFLAGS" \
perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
+### putting essential docs
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+# Remove perlocal.pod and .packlist from $PKG
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+
+# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc